Subject: bug#62447: 30.0.50; xref default behaviour changed after a desktop-read

From: Manuel Giraud <[email-masked]>
Date: Sat, 25 Mar 2023 23:13:58 +0100

Juri Linkov <[email-masked]> writes:

>> I'm using desktop-save-mode and since sometimes when I do a M-. on
>> function call in a C buffer, Emacs says:
>> user-error: No definitions found for: scroll_command
>>
>> If I start without desktop-save-mode on, this works as usual: Emacs asks
>> me if I want to read the TAGS table.
>>
>> So it may be that some mode loaded by some file opening mess up with
>> xref default behaviour... I don't know where to start to track this
>> down.
>
> I guess this is because the default value of `desktop-globals-to-save'
> contains:
>
>     tags-file-name
>     tags-table-list

Yes that's it!  I'm starting Emacs without desktop-save-mode on:
tags-table-list and tags-file-name are both nil.  I do a desktop-read
and tags-table-list is set to ("/home/manuel/emacs-repo/lib/TAGS") and
tags-file-name is set to "/home/manuel/emacs-repo/lib/TAGS".

> and the global values for these variables make no sense.
> They should have project-local values, but project-local values are
> not saved to the desktop file, only global and buffer-local values.

Maybe they could be removed from `desktop-globals-to-save'.
-- 
Manuel Giraud